| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoMDC.tools.pyMDC_SPI.SPI Class Reference

## Public Member Functions
| __init__ (self, int bus=0, int device=0)
| __exit__ (self, exc_type, exc_val, exc_tb)
| set_values (self, system1, register1, system2, register2, data1, data2, data_type='>f')
| get_values (self, system, register, unit_type)
| send (self, system1, register1, system2, register2, data1, data2, data_type='>f')
| receive_w (self, int number_of_bytes=12)
| receive_r (self, unit_type, int number_of_bytes=12)
| connect (self)
| disconnect (self)

## Public Attributes
| x_readback
| y_readback
| reg_value
| status

## Protected Attributes
| _bus
| _device
| _spi_comm

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.tools.pyMDC_SPI.SPI.__init__ | ( |  | self,
|  | int | bus = 0,
|  | int | device = 0 )

## Member Function Documentation

## ◆ __exit__()

optoMDC.tools.pyMDC_SPI.SPI.__exit__ | ( |  | self,
|  |  | exc_type,
|  |  | exc_val,
|  |  | exc_tb )

## ◆ connect()

optoMDC.tools.pyMDC_SPI.SPI.connect | ( |  | self | ) |

## ◆ disconnect()

optoMDC.tools.pyMDC_SPI.SPI.disconnect | ( |  | self | ) |

## ◆ get_values()

optoMDC.tools.pyMDC_SPI.SPI.get_values | ( |  | self,
|  |  | system,
|  |  | register,
|  |  | unit_type )

## ◆ receive_r()

optoMDC.tools.pyMDC_SPI.SPI.receive_r | ( |  | self,
|  |  | unit_type,
|  | int | number_of_bytes = 12 )

## ◆ receive_w()

optoMDC.tools.pyMDC_SPI.SPI.receive_w | ( |  | self,
|  | int | number_of_bytes = 12 )

## ◆ send()

optoMDC.tools.pyMDC_SPI.SPI.send | ( |  | self,
|  |  | system1,
|  |  | register1,
|  |  | system2,
|  |  | register2,
|  |  | data1,
|  |  | data2,
|  |  | data_type = '>f' )

## ◆ set_values()

optoMDC.tools.pyMDC_SPI.SPI.set_values | ( |  | self,
|  |  | system1,
|  |  | register1,
|  |  | system2,
|  |  | register2,
|  |  | data1,
|  |  | data2,
|  |  | data_type = '>f' )

## Member Data Documentation

## ◆ _bus

optoMDC.tools.pyMDC_SPI.SPI._bus
| protected

## ◆ _device

optoMDC.tools.pyMDC_SPI.SPI._device
| protected

## ◆ _spi_comm

optoMDC.tools.pyMDC_SPI.SPI._spi_comm
| protected

## ◆ reg_value

optoMDC.tools.pyMDC_SPI.SPI.reg_value

## ◆ status

optoMDC.tools.pyMDC_SPI.SPI.status

## ◆ x_readback

optoMDC.tools.pyMDC_SPI.SPI.x_readback

## ◆ y_readback

optoMDC.tools.pyMDC_SPI.SPI.y_readback

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/tools/pyMDC_SPI.py